Package net.shibboleth.idp.cas.protocol

# Class ProxyTicketResponse

java.lang.Object
net.shibboleth.idp.cas.protocol.AbstractProtocolResponse
net.shibboleth.idp.cas.protocol.ProxyTicketResponse

public class ProxyTicketResponse extends AbstractProtocolResponse
Container for proxy ticket response parameters returned from `/proxy` URI.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`proxyTicket`
Proxy ticket.

## Constructor Summary

Constructors
Constructor
Description
`ProxyTicketResponse()`
Default no-arg constructor.
`ProxyTicketResponse(String pt)`
Creates a new instance with given parameters.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPt()`
Get the proxy ticket ID.

### Methods inherited from class net.shibboleth.idp.cas.protocol.AbstractProtocolResponse

`getErrorCode, getErrorDetail, setErrorCode, setErrorDetail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### proxyTicket

@Nullable private String proxyTicket
Proxy ticket.

## Constructor Details

### ProxyTicketResponse

public ProxyTicketResponse()
Default no-arg constructor.

### ProxyTicketResponse

public ProxyTicketResponse(@Nonnull String pt)
Creates a new instance with given parameters.

Parameters:
  `pt` - Proxy ticket ID.

## Method Details

### getPt

@Nullable public String getPt()
Get the proxy ticket ID.

Returns:
  proxy ticket ID